Package Details: zfs-dkms-git 2019.12.06.r5575.g0dcef9b96-1

Git Clone URL: https://aur.archlinux.org/zfs-dkms-git.git (read-only)
Package Base: zfs-dkms-git
Description: Kernel modules for the Zettabyte File System.
Upstream URL: https://zfsonlinux.org/
Licenses: CDDL
Groups: archzfs-dkms-git
Conflicts: spl, spl-headers, zfs, zfs-headers
Provides: spl, spl-headers, zfs, zfs-headers
Replaces: spl-dkms-git
Submitter: isiachi
Maintainer: minextu (archzfs-bot)
Last Packager: archzfs-bot
Votes: 23
Popularity: 0.089480
First Submitted: 2014-06-04 15:15
Last Updated: 2019-12-07 04:11

Dependencies (4)

Required by (13)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

Atraii commented on 2017-02-01 18:21

I'm not getting this to work with the latest kernel either.

I can't modprobe it, `sudo modprobe zfs` results in:

modprobe: FATAL: Module zfs not found in directory /lib/modules/4.9.6-1-ARCH

I attempted to reinstall it with dkms, getting this error with `dkms autoinstall`:

...cut...
checking spl source directory... /usr/src/spl-0.7.0
checking spl build directory... /var/lib/dkms/spl/0.7.0/4.9.6-1-ARCH/x86_64
configure: error:
*** Please make sure the kmod spl devel <kernel> package for your
*** distribution is installed then try again. If that fails you
*** can specify the location of the spl objects with the
*** '--with-spl-obj=PATH' option. Failed to find spl_config.h in
*** any of the following:
/usr/src/spl-0.7.0/4.9.6-1-ARCH
/usr/src/spl-0.7.

Marcel_K commented on 2017-02-01 17:46

Please be more verbose: what does not work? I am using linux-zen aside from stock Arch linux package, and for both kernels dkms modules are build and installed correctly (running linux-zen 4.9.6 right now).

tritron commented on 2017-02-01 16:02

This package does not work with latest kernel

WoefulDerelict commented on 2016-10-20 19:48

I'm not sure the package is to blame. As of the most recent commit this afternoon https://github.com/zfsonlinux/zfs/commit/9523b15ac1881946a7a6b7a145c8e2bb622dc56c this builds and works on my system with a root zfs pool.

The only issue I'm currently experiencing is tied to https://github.com/zfsonlinux/zfs/commit/6078881aa18a45ea065a887e2a8606279cdc0329 and effects the dkms install. It is described here https://github.com/zfsonlinux/zfs/issues/5312

sinetek commented on 2016-10-20 02:47

Beware!
This package killed my / installation, as the rootfs fails to mount during boot.
It whines about canonicalization error 2. No idea what this means.

OrdinaryMagician commented on 2016-09-12 17:34

The initcpio hook and install files are outdated, they don't even have any of the fixes from the archzfs ones.

This breaks booting right now because of the missing libgcc_s.so.1.

WoefulDerelict commented on 2016-06-14 18:25

There have been recent changes to the ZoL codebase that are noteworthy as they may cause issues during update. The configuration files for systemd have changed and the new services are not enabled by default after updating. https://github.com/zfsonlinux/zfs/commit/92547bc45ca9a2114662d9343ae53e5098acb627

As the package lacks the preset data it is necessary to enable the services manually for zfs filesystems to mount properly.

BugMaze commented on 2016-04-23 17:53

This package fails at the dkms step , the solution suggested by ajs124 below works perfectly . Thanks .

ajs124 commented on 2016-04-23 12:23

This package, as well as spl-dkms-git, is broken.

They both fail to compile, because dkms expects a Makefile, which the PKGBUILD generates with autogen.sh and configure, but does not include in the package, because it uses git archive.

Simply replacing the "git archive | tar" part with "cp -r . ${dkmsdir}/" fixes this problem.

isiachi commented on 2015-12-29 15:58

Git branch.

You can find stable here:
https://aur.archlinux.org/packages/zfs-dkms/